package com.bizmatics.service;

import com.bizmatics.model.Site;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.SiteDynamicProperties;
import com.bizmatics.model.SiteList;
import com.bizmatics.model.TemplateData;
import com.bizmatics.service.vo.DeviceCountVO;
import com.bizmatics.service.vo.SiteVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface SiteService extends CrudService<Site> {


    /**
     * 查看不同状态的站点数量
     * @return
     */
    DeviceCountVO selectCount();


    /**
     * 查看站点列表
     * @param name
     * @return
     */
    List<Site> list(String name);

    /**
     * 查看站点列表
     * @param name
     * @return
     */
    List<Map<String, Object>> Sitelist(String name);


    /**
     * 查看站点和状态
     * @param name
     * @return
     */
    List<SiteVO> siteAndStatusList(String name);




    /**
     * 查看站点详情
     * @param siteId
     * @return
     */
    SiteVO getOne(Long siteId);

    /**
     *
     * @param siteName
     * @param siteAddress
     * @param userName
     * @param phone
     * @param stationAreaId
     * @param routeId
     * @param installedCapacity
     * @param rheologicalChange
     * @param longitude
     * @param latitude
     * @param region
     * @param groupingId
     * @param faultStatus
     * @param realTimeLoad
     * @param totalElectricity
     * @param powerFactor
     * @param siteType
     * @param userCompany
     * @param operationTime
     * @param serviceDeadline
     * @param powerSupplyType
     * @param voltageLevel
     * @param DemolitionStandardCoal
     * @param DemolitionStandardCoal1
     */
    void SiteAdd(@Param("siteName") String siteName,
                 @Param("siteAddress") String siteAddress,
                 @Param("userName") String userName,
                 @Param("phone") String phone,
                 @Param("stationAreaId") String stationAreaId,
                 @Param("routeId") String routeId,
                 @Param("installedCapacity") String installedCapacity,
                 @Param("rheologicalChange") String rheologicalChange,
                 @Param("longitude") String longitude,
                 @Param("latitude") String latitude,
                 @Param("region") String region,
                 @Param("groupingId") String groupingId,
                 @Param("faultStatus") String faultStatus,
                 @Param("realTimeLoad") String realTimeLoad,
                 @Param("totalElectricity") String totalElectricity,
                 @Param("powerFactor") String powerFactor,
                 @Param("siteType") String siteType,
                 @Param("userCompany") String userCompany,
                 @Param("operationTime") String operationTime,
                 @Param("serviceDeadline") String serviceDeadline,
                 @Param("powerSupplyType") String powerSupplyType,
                 @Param("voltageLevel") String voltageLevel,
                 @Param("DemolitionStandardCoal") String DemolitionStandardCoal,
                 @Param("DemolitionStandardCoal1") String DemolitionStandardCoal1,
                 @Param("sitePictureOne") String sitePictureOne,
                 @Param("sitePictureTwo") String sitePictureTwo,
                 @Param("sitePictureThree") String sitePictureThree,
                 @Param("templateId") String templateId);

    /**
     *
     * @param id
     * @return
     */
    List<TemplateData> GetSite(@Param("id") String id);

    void SiteUpdate(@Param("id") String id,
                    @Param("siteName") String siteName,
                    @Param("siteAddress") String siteAddress,
                    @Param("userName") String userName,
                    @Param("phone") String phone,
                    @Param("stationAreaId") String stationAreaId,
                    @Param("routeId") String routeId,
                    @Param("installedCapacity") String installedCapacity,
                    @Param("rheologicalChange") String rheologicalChange,
                    @Param("longitude") String longitude,
                    @Param("latitude") String latitude,
                    @Param("region") String region,
                    @Param("groupingId") String groupingId,
                    @Param("faultStatus") String faultStatus,
                    @Param("realTimeLoad") String realTimeLoad,
                    @Param("totalElectricity") String totalElectricity,
                    @Param("powerFactor") String powerFactor,
                    @Param("siteType") String siteType,
                    @Param("userCompany") String userCompany,
                    @Param("operationTime") String operationTime,
                    @Param("serviceDeadline") String serviceDeadline,
                    @Param("powerSupplyType") String powerSupplyType,
                    @Param("voltageLevel") String voltageLevel,
                    @Param("DemolitionStandardCoal") String DemolitionStandardCoal,
                    @Param("DemolitionStandardCoal1") String DemolitionStandardCoal1,
                    @Param("sitePictureOne") String sitePictureOne,
                    @Param("sitePictureTwo") String sitePictureTwo,
                    @Param("sitePictureThree") String sitePictureThree);
    void Sitedel(@Param("id") String id);
}

