package com.bizmatics.service.impl;

import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.SiteDynamicProperties;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.persistence.mapper.SiteDynamicPropertiesMapper;
import com.bizmatics.service.SiteDynamicPropertiesService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * <p>
 * 站点动态属性表 服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-09-22
 */
@Service
public class SiteDynamicPropertiesServiceImpl extends AbstractCrudService<SiteDynamicPropertiesMapper, SiteDynamicProperties> implements SiteDynamicPropertiesService {
    @Override
    public void SiteDynamicPropertiesAdd(String fault_status, String real_time_load, String total_electricity, String power_factor, int site_id, String site_type,
                                         String user_company, String operation_time, String service_deadline, String power_supply_type, String voltage_level,
                                         String Demolition_standard_coal, String Demolition_standard_coal1,String sitePictureOne,String sitePictureTwo,String sitePictureThree){
        DateTimeFormatter fmts = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        SiteDynamicProperties site_dynamic_properties = new SiteDynamicProperties();
        site_dynamic_properties.setFaultStatus(fault_status);
        site_dynamic_properties.setRealTimeLoad(real_time_load);
        site_dynamic_properties.setTotalElectricity(total_electricity);
        site_dynamic_properties.setPowerFactor(power_factor);
        site_dynamic_properties.setSiteId(site_id);
        site_dynamic_properties.setSiteType(Integer.parseInt(site_type));
        site_dynamic_properties.setUserCompany(user_company);
        site_dynamic_properties.setOperationTime(LocalDate.parse(operation_time, fmts));
        site_dynamic_properties.setServiceDeadline(LocalDate.parse(service_deadline, fmts));
        site_dynamic_properties.setPowerSupplyType(Integer.parseInt(power_supply_type));
        site_dynamic_properties.setVoltageLevel(voltage_level);
        site_dynamic_properties.setDemolitionStandardCoal(Integer.parseInt(Demolition_standard_coal));
        site_dynamic_properties.setDemolitionStandardCoal1(Demolition_standard_coal1);
        SysUser user = SecurityUtils.getLoginUser().getUser();
        site_dynamic_properties.setCreator(user.getUserName());
        site_dynamic_properties.setCreateTime(LocalDateTime.now());
        site_dynamic_properties.setSitePictureOne(sitePictureOne);
        site_dynamic_properties.setSitePictureTwo(sitePictureTwo);
        site_dynamic_properties.setSitePictureThree(sitePictureThree);
        this.save(site_dynamic_properties);
    }

    @Override
    public void SiteDynamicPropertiesUpdate(SiteDynamicProperties siteDynamicProperties){
        this.updateById(siteDynamicProperties);
    }
}
